.\"#ident "%W% %G%"
.\"
.\" # Copyright (C) 1994 Kubota Graphics Corp.
.\" # 
.\" # Permission to use, copy, modify, and distribute this material for
.\" # any purpose and without fee is hereby granted, provided that the
.\" # above copyright notice and this permission notice appear in all
.\" # copies, and that the name of Kubota Graphics not be used in
.\" # advertising or publicity pertaining to this material.  Kubota
.\" # Graphics Corporation MAKES NO REPRESENTATIONS ABOUT THE ACCURACY
.\" # OR SUITABILITY OF THIS MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED
.\" # "AS IS", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING THE
.\" # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" # PURPOSE AND KUBOTA GRAPHICS CORPORATION DISCLAIMS ALL WARRANTIES,
.\" # EXPRESS OR IMPLIED.
.\"
.TH DoGenerateTextureUV 3D "Dore"
.SH NAME
DoGenerateTextureUV \- This function is obsolete and has been replaced by \f2DoCompTextureUVSwitch\fP 
.SH SYNOPSIS
.nf
.ft 3
C:
.in  +.5i
DtObject DoGenerateTextureUV(switchvalue)
DtSwitch switchvalue;
.sp
.in  -.5i
FORTRAN:
.in  +.5i
INTEGER*4 DOGTUV(SWVAL)
INTEGER*4 SWVAL
.in  -.5i
.fi 
.IX "DoGenerateTextureUV"
.IX "DOGTUV"
.SH DESCRIPTION
.LP
\f2DoGenerateTextureUV\fP creates a primitive attribute object that
enables or disables the generation of 
\f2uv\fP texture coordinates for primitives
that do not have user-provided vertex information.
.LP
For some renderers certain primitive objects, such as spheres,
are tessellated before they are drawn.
If a sphere is to be texture mapped, the element vertices approximating
the sphere may have to include \f2uv\fP texture coordinates.
On the other hand if the sphere will never be texture mapped there is no
need to generate and store that information.
.LP
The \f2switchvalue\fP parameter is used to specify whether or not 
subsequent primitives will generate \f2uv\fP coordinates for 
texture mapping  when they decompose themselves into elements.
If the \f2switchvalue\fP is \f2DcOff\fP <\f2DCOFF\fP>, 
the primitive object will not generate any \f2uv\fP information.
If the \f2switchvalue\fP is \f2DcOn\fP <\f2DCON\fP>, 
the primitive object will generate \f3uv\fP coordinates when possible.
.SH DEFAULTS
The default for \f2DoGenerateTextureUV\fP is \f2DcOff\fP.
.SH SEE ALSO
.na
.nh
DoTextureMapBump(3D), DoTextureMapDiffuseColor(3D), DoTextureMapEnviron(3D),
DoTextureMapTranspIntens(3D), DoPrimSurf(3D)
.ad
.hy
\&
